from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDataPilotResults(XInterface, Protocol):
    def getResults(self) -> list[list[DataResult]]: ...
    def getFilteredResults(self, aFilters: DataPilotFieldFilter>) -> list[float]: ...
